[Rainmeter]



[Variables]
UpdateRateSeconds=100
FontFace=CRYSIS
URL=http://foreca.ru/Kazakhstan/Oral?tenday
URL1=http://foreca.ru/Kazakhstan/Oral


[Background]
Meter=IMAGE
imageName=bg.png
X=0
Y=0
W=400
H=400
Hidden=1
 
[MeasureName]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<h1>(.*)</h1>.*"
UpdateRate=#UpdateRateSeconds#
Substitute="&deg;":""
StringIndex=1

[MeasureDEN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*<span class="h5">(.*)</span>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureDEN2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=2

[MeasureDEN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=3

[MeasureDEN4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureDEN]
UpdateRate=#UpdateRateSeconds#
StringIndex=4

[MeasureTMAX]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*Макс: <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureTMAX2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=2
Substitute="&deg;":""

[MeasureTMAX3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=3
Substitute="&deg;":""

[MeasureTMAX4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=4
Substitute="&deg;":""

[MeasureTMAX5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMAX]
UpdateRate=#UpdateRateSeconds#
StringIndex=5
Substitute="&deg;":""

[MeasureTMIN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*Мин: <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureTMIN2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=2
Substitute="&deg;":""

[MeasureTMIN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=3
Substitute="&deg;":""

[MeasureTMIN3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=3
Substitute="&deg;":""

[MeasureTMIN4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=4
Substitute="&deg;":""

[MeasureTMIN5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=[MeasureTMIN]
UpdateRate=#UpdateRateSeconds#
StringIndex=5
Substitute="&deg;":""

[MeasureWeatherIcon]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*"
StringIndex=1
UpdateRate=#UpdateRateSeconds#

[MeasureWeatherIcon2]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=2
UpdateRate=#UpdateRateSeconds#

[MeasureWeatherIcon3]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=3
UpdateRate=#UpdateRateSeconds#

[MeasureWeatherIcon4]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=4
UpdateRate=#UpdateRateSeconds#


[MeasureWeatherIcon5]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL#
RegExp="(?siU)<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*<img src="/img/symb-50x50/(.*).png.*"
StringIndex=5
UpdateRate=#UpdateRateSeconds#

[MeasureWeatherIconF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<img class="symb" src="/img/symb-70x70/(.*).png.*"
StringIndex=1
UpdateRate=#UpdateRateSeconds#

[MeasureF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<h4 class="entry-title">(.*)</h4>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureTF]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<span class=".* txt-xxlarge"><strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureFO]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<div class="right txt-tight">(.*)<br />.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureOBN]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)<div class="bot txt-tight grey">.*(.*)<br />.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="В":"на"

[MeasureON]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)Ощущается как: <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureFD]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)Барометр:  <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[MeasureOW]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU)От. влажность:   <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1

[Measurewind]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU).*height="28" /> <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":""

[MeasureTR]
Measure=Plugin
Plugin=Plugins/WebParser.dll
Url=#URL1#
RegExp="(?siU).*Точка росы:   <strong>(.*)</strong>.*"
UpdateRate=#UpdateRateSeconds#
StringIndex=1
Substitute="&deg;":

----------------------------------

[MeterDEN2]
Meter=String
MeasureName=MeasureDEN2
X=35
Y=230
W=200
H=20
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Group=MAX
Hidden=0

[MeterDEN3]
Meter=String
MeasureName=MeasureDEN3
X=105
Y=230
W=200
H=20
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Group=MAX
Hidden=0

[MeterDEN4]
Meter=String
MeasureName=MeasureDEN4
X=180
Y=230
W=200
H=20
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Group=MAX
Hidden=0

[MeterT2]
Meter=String
MeasureName=MeasureTMAX2
MeasureName2=MeasureTMIN2
X=35
Y=320
H=18
W=100
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Text="%1, %2"
Group=MAX
Hidden=0

[MeterT3]
Meter=String
MeasureName=MeasureTMAX3
MeasureName2=MeasureTMIN3
X=65r
Y=320
H=18
W=100
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Text="%1, %2"
Group=MAX
Hidden=0

[MeterT4]
Meter=String
MeasureName=MeasureTMAX4
MeasureName2=MeasureTMIN4
X=67r
Y=320
H=18
W=100
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=calibri
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Text="%1, %2"
Group=MAX
Hidden=0

[MeterIcon2]
Meter=Image
MeasureName=MeasureWeatherIcon2
Path="#CURRENTPATH#WeatherIcons"
X=30
Y=260
H=60
W=60
ImageAlpha=150
Group=MAX
Hidden=0

[MeterIcon3]
Meter=Image
MeasureName=MeasureWeatherIcon3
Path="#CURRENTPATH#WeatherIcons"
X=100
Y=260
H=60
W=60
ImageAlpha=150
Group=MAX
Hidden=0

[MeterIcon4]
Meter=Image
MeasureName=MeasureWeatherIcon4
Path="#CURRENTPATH#WeatherIcons"
X=170
Y=260
H=60
W=60
ImageAlpha=150
Group=MAX
Hidden=0

-------------фактическая погода-----------------

[MeterName]
Meter=String
MeasureName=MeasureName
X=70
Y=0
W=150
H=18
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
FontSize=15

[MeterF]
Meter=String
MeasureName=MeasureF
X=0
Y=20
W=300
H=20
FontColor=103,175,63,200
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
FontSize=12

[MeterIconF]
Meter=Image
MeasureName=MeasureWeatherIconF
Path="#CURRENTPATH#WeatherIcons"
X=250
Y=70
H=140
W=140
ImageAlpha=200

[MeterTF]
Meter=String
MeasureName=MeasureTF
X=80
Y=50
W=120
H=30
FontColor=103,175,63,200
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
FontSize=20
Postfix="°С"

[MeterOBN]
Meter=String
MeasureName=MeasureOBN
X=10
Y=20
W=120
H=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
FontSize=12

[MeterFO]
Meter=String
MeasureName=MeasureFO
X=100
Y=70
W=300
H=100
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
FontSize=10
AntiAlias=1

[MeterON]
Meter=String
MeasureName=MeasureON
X=30
Y=120
W=300
H=35
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Ощущается как: "

[MeterFD]
Meter=String
MeasureName=MeasureFD
X=30
Y=140
W=300
H=35
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Барометр: "

[MeterOW]
Meter=String
MeasureName=MeasureOW
X=30
Y=160
W=300
H=35
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Влажность: "

[Meterwind]
Meter=String
MeasureName=Measurewind
X=30
Y=180
W=300
H=35
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Ветер: "

[MeterTR]
Meter=String
MeasureName=MeasureTR
X=30
Y=200
W=300
H=35
FontSize=10
FontColor=103,175,63
StringStyle=BOLD
StringEffect=SHADOW
FontFace=CRYSIS
StringAlign=Left
FontEffectColor=0,0,0,80
AntiAlias=1
ClipString=1
Prefix="Точка росы: "

==================================================

